package ModSQL;

/* $Id: DatabaseException.java,v 1.3 2003/05/29 07:55:43 cvs Exp $
 *
 * Copyright (c) 2003 Chris Studholme <chris.studholme@utoronto.ca>
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING for more information.
 */

/**
 * An exception for use by classes implementing {@link DatabaseManager}, 
 * {@link DatabaseTable}, and {@link DatabaseIndex} to represent database
 * errors that may occur.
 *
 * @author chris.studholme@utoronto.ca
 */
public class DatabaseException extends SQLExceptionWithCause { 

  /**
   * Default constructor.
   */
  public DatabaseException() {
    super();
  }

  /**
   * Exception with a specific reason.
   *
   * @param message reason exception was thrown
   */
  public DatabaseException(String message) {
    super(message);
  }

  /**
   * Exception that was caused by some other exception.
   *
   * @param message reason exception was thrown
   * @param cause the cause of this exception
   */
  public DatabaseException(String message, Throwable cause) {
    super(message,cause);
  }

  /**
   * Exception that was caused by some other exception.
   *
   * @param cause the cause of this exception
   */
  public DatabaseException(Throwable cause) {
    super(cause);
  }

};
